summaryrefslogtreecommitdiff
path: root/plugins/repo/lib
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2009-07-26 18:00:01 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2015-06-26 00:30:12 -0600
commit13ac989be47ce85bd9776c9787c9dc17ddda92f8 (patch)
tree64960fa93cdd814c0a19a0b9d5d1bedbcccb708f /plugins/repo/lib
parentc283a7d4327d7d18620ac97e927d88d5667781a4 (diff)
oops, I forgot to `bzr add' all the moved files :)
Diffstat (limited to 'plugins/repo/lib')
-rw-r--r--plugins/repo/lib/stdio.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/plugins/repo/lib/stdio.sh b/plugins/repo/lib/stdio.sh
new file mode 100644
index 0000000..e20cb7f
--- /dev/null
+++ b/plugins/repo/lib/stdio.sh
@@ -0,0 +1,58 @@
+#!$$SHELL$$
+#name='rvs stdio'
+#ver='0.7.0'
+# Copyright (C) 2009 Luke Shumaker
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
+
+verbose() {
+ if [ "$volume" == '-v' ]; then
+ echo $@
+ fi
+}
+
+out() {
+ if [ "$volume" != '-q' ]; then
+ echo $@
+ fi
+}
+
+warn () {
+ echo "$name: $1" >> /dev/stderr
+}
+
+fatal () {
+ warn "$1"
+ exit 1
+}
+
+error() {
+ warn "$1"
+ cat << __error__ >> /dev/stderr
+Usage: $name $usage
+
+Try \`$name --help\' for more options.
+__error__
+ exit 1
+}
+
+version() {
+ echo "$name $ver"
+ if [ "$volume" != '-q' ]; then
+ cat << __disclaimer__
+$name is copyright (C) 2009 Luke Shumaker
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+GNU General Public License for more details.
+
+Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
+__disclaimer__
+ fi
+ exit 0
+}
+